package gov.va.med.esr.common.model.person;

import java.util.Date;

import gov.va.med.esr.common.model.lookup.TeamPurpose;
import gov.va.med.esr.common.model.lookup.VAFacility;
import gov.va.med.fw.model.AbstractKeyedEntity;

import org.apache.commons.lang.builder.ToStringBuilder;

public class PatientProviderAssignment extends PatientProviderAssignmentLite {

	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -5251945837499888292L;
	
    private Person person = null;
 	/**
	 * Creates a new PreferredFacility object.
	 */
	public PatientProviderAssignment()
	{
	    super();
	}	
	
	public Person getPerson() {
		return person;
	}


	public void setPerson(Person person) {
	   validateOwner(this.person, person);
	   this.person = person;
	}
}
